Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/doc/FixBreaksAndAutomaticStyles.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/doc/FixBreaksAndAutomaticStyles.groovy	(revision 3640)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/doc/FixBreaksAndAutomaticStyles.groovy	(revision 3641)
@@ -6,7 +6,7 @@
 
 import groovy.xml.QName
 import groovy.xml.StreamingMarkupBuilder
-import groovy.util.XmlParser
+import groovy.xml.XmlParser
 
 class FixBreaksAndAutomaticStyles {
 
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/transcriber/FixTiming.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/transcriber/FixTiming.groovy	(revision 3640)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/transcriber/FixTiming.groovy	(revision 3641)
@@ -220,7 +220,7 @@
 	println ""+xml
 	outfile.withWriter("UTF-8"){ writer ->
 		writer.write('<?xml version="1.0" encoding="UTF-8"?>\n<!DOCTYPE Trans SYSTEM "trans-14.dtd">\n')
-		new groovy.util.XmlNodePrinter(new PrintWriter(writer)).print(trs) }
+		new groovy.xml.XmlNodePrinter(new PrintWriter(writer)).print(trs) }
 }
 
 /// MAIN ///
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/transcriber/ShiftTimings.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/transcriber/ShiftTimings.groovy	(revision 3640)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/transcriber/ShiftTimings.groovy	(revision 3641)
@@ -89,7 +89,7 @@
 	println ""+xml
 	outfile.withWriter("UTF-8"){ writer ->
 		writer.write('<?xml version="1.0" encoding="UTF-8"?>\n<!DOCTYPE Trans SYSTEM "trans-14.dtd">\n')
-		new groovy.util.XmlNodePrinter(new PrintWriter(writer)).print(trs) }
+		new groovy.xml.XmlNodePrinter(new PrintWriter(writer)).print(trs) }
 }
 
 /// MAIN ///
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/transcriber/CropTranscription.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/transcriber/CropTranscription.groovy	(revision 3640)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/transcriber/CropTranscription.groovy	(revision 3641)
@@ -62,7 +62,7 @@
 	println ""+xml
 	outfile.withWriter("UTF-8"){ writer ->
 		writer.write('<?xml version="1.0" encoding="UTF-8"?>\n<!DOCTYPE Trans SYSTEM "trans-14.dtd">\n')
-		new groovy.util.XmlNodePrinter(new PrintWriter(writer)).print(trs) }
+		new groovy.xml.XmlNodePrinter(new PrintWriter(writer)).print(trs) }
 }
 
 /// MAIN ///
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/txt/compiler.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/txt/compiler.groovy	(revision 3640)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/txt/compiler.groovy	(revision 3641)
@@ -196,7 +196,7 @@
 		corpus.setDescription("Built with the TXT+CSV import module");
 		
 		File cqpFile = new File(binDir,"cqp/"+corpusname+".cqp");
-cqpFile.delete()
+		cqpFile.delete()
 		new File(binDir,"cqp").mkdirs()
 		new File(binDir,"data").mkdirs()
 		new File(binDir,"registry").mkdirs()
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/lasla/compiler.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/lasla/compiler.groovy	(revision 3640)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/lasla/compiler.groovy	(revision 3641)
@@ -36,7 +36,6 @@
 import org.txm.importer.cwb.CwbMakeAll
 import org.txm.scripts.importer.*;
 import org.txm.scripts.*;
-import org.txm.importer.scripts.xmltxm.BuildTTSrc;
 import org.txm.importer.scripts.xmltxm.*;
 import org.txm.utils.treetagger.TreeTagger;
 
@@ -210,7 +209,7 @@
 			}
 			else
 			{	
-				cqpbuilder = new XMLTXM2CQP(f.toURL());
+				cqpbuilder = new XMLTXM2CQP(f.toURL(), cqpbuilder);
 				String txtname = f.getName().substring(0,f.getName().length()-4);
 				cqpbuilder.setTextInfo(txtname, basename, "project");
 
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/xml/ InjectPropertiesIntoStructureMacro.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/xml/ InjectPropertiesIntoStructureMacro.groovy	(revision 3640)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/xml/ InjectPropertiesIntoStructureMacro.groovy	(revision 3641)
@@ -74,7 +74,7 @@
 	
 	if (debug) println "text $xmlFile"
 	
-	def parser = new groovy.util.XmlParser()
+	def parser = new groovy.xml.XmlParser()
 	parser.setFeature("http://apache.org/xml/features/disallow-doctype-decl", false)
 	parser.setFeature("http://apache.org/xml/features/nonvalidating/load-external-dtd", false);
 	def doc = parser.parse(xmlFile)
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/xml/XMLStatisticsMacro.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/xml/XMLStatisticsMacro.groovy	(revision 3640)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/xml/XMLStatisticsMacro.groovy	(revision 3641)
@@ -6,13 +6,13 @@
 import org.txm.rcp.swt.widget.parameters.*
 
 @Field @Option(name="inputDirectory", usage="Dossier qui contient les fichiers à parser", widget="Folder", required=true, def="src")
-File inputDirectory;
+def inputDirectory;
 
 @Field @Option(name="xmlFilesExtension", usage="Extension des fichiers XML à traiter", widget="String", required=true, def=".xml")
-File xmlFilesExtension;
+def xmlFilesExtension;
 
 @Field @Option(name="csvFile", usage="FichierTSV résultat", widget="File", required=true, def="file.tsv")
-File csvFile;
+def csvFile;
 
 @Field @Option(name="usePaths", usage="FichierTSV résultat", widget="Boolean", required=true, def="false")
 def usePaths = true
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/xml/StructurePropertiesInjectionMacro.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/xml/StructurePropertiesInjectionMacro.groovy	(revision 3640)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/xml/StructurePropertiesInjectionMacro.groovy	(revision 3641)
@@ -81,7 +81,7 @@
 	
 	if (debug) println "text $xmlFile"
 	
-	def parser = new groovy.util.XmlParser()
+	def parser = new groovy.xml.XmlParser()
 	parser.setFeature("http://apache.org/xml/features/disallow-doctype-decl", false)
 	parser.setFeature("http://apache.org/xml/features/nonvalidating/load-external-dtd", false);
 	def doc = parser.parse(xmlFile)
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/xml/ValidateMacro.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/xml/ValidateMacro.groovy	(revision 3640)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/xml/ValidateMacro.groovy	(revision 3641)
@@ -15,7 +15,7 @@
 import org.txm.importer.ApplyXsl2
 
 import net.sf.saxon.TransformerFactoryImpl
-import org.txm.utils.saxon.SaxonNodeSet
+//import org.txm.utils.saxon.SaxonNodeSet
 import javax.xml.transform.stream.StreamSource
 import javax.xml.transform.stream.StreamResult
 
@@ -89,7 +89,7 @@
 System.setProperty("javax.xml.transform.TransformerFactory", "net.sf.saxon.TransformerFactoryImpl")
 tFactory = new net.sf.saxon.TransformerFactoryImpl()
 tConfiguration = tFactory.getConfiguration()
-tConfiguration.registerExtensionFunction(new SaxonNodeSet()) // ?
+//tConfiguration.registerExtensionFunction(new SaxonNodeSet()) // no more needed ?
 // the following features don't seem to work, yet
 tConfiguration.setConfigurationProperty(net.sf.saxon.lib.FeatureKeys.LINE_NUMBERING, true)
 tConfiguration.setConfigurationProperty(net.sf.saxon.lib.FeatureKeys.RECOVERY_POLICY, net.sf.saxon.Configuration.RECOVER_WITH_WARNINGS)
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/conversion/EuroPressToXML2018Macro.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/conversion/EuroPressToXML2018Macro.groovy	(revision 3640)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/conversion/EuroPressToXML2018Macro.groovy	(revision 3641)
@@ -5,7 +5,7 @@
 import java.text.DecimalFormat
 import org.txm.utils.xml.DomUtils
 import org.txm.importer.ValidateXml
-import groovy.util.XmlParser
+import groovy.xml.XmlParser
 import org.kohsuke.args4j.*
 import groovy.transform.Field
 import org.txm.rcpapplication.swt.widget.parameters.*
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/xml/XSL2CQPMacro.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/xml/XSL2CQPMacro.groovy	(revision 3640)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/xml/XSL2CQPMacro.groovy	(revision 3641)
@@ -6,7 +6,7 @@
 import org.txm.rcpapplication.swt.widget.parameters.*
 import org.txm.searchengine.cqp.corpus.*
 import org.txm.importer.ApplyXsl2;
-import groovy.util.XmlParser
+import groovy.xml.XmlParser
 
 // BEGINNING OF PARAMETERS
 
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/projects/nov13/PrepareTranscriptionsMacro.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/projects/nov13/PrepareTranscriptionsMacro.groovy	(revision 3640)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/projects/nov13/PrepareTranscriptionsMacro.groovy	(revision 3641)
@@ -155,7 +155,7 @@
 	}
 	
 	File tmpFile2 = new File(resultDirectory, "tmp2.xml")
-	def spks = new groovy.util.XmlSlurper().parse(tmpFile).Speakers.Speaker.collect(){it.attributes()["id"]}
+	def spks = new groovy.xml.XmlSlurper().parse(tmpFile).Speakers.Speaker.collect(){it.attributes()["id"]}
 	
 	for (def replacement : replacements) {
 	
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/misc/EuroPresse2XMLMacro.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/misc/EuroPresse2XMLMacro.groovy	(revision 3640)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/misc/EuroPresse2XMLMacro.groovy	(revision 3641)
@@ -7,7 +7,7 @@
 import java.text.DecimalFormat
 import org.txm.utils.xml.DomUtils;
 import org.txm.importer.ValidateXml;
-import groovy.util.XmlParser
+import groovy.xml.XmlParser
 import org.kohsuke.args4j.*
 import groovy.transform.Field
 import org.txm.rcp.swt.widget.parameters.*
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/transcription/TrimTranscriptionMacro.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/transcription/TrimTranscriptionMacro.groovy	(revision 3640)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/transcription/TrimTranscriptionMacro.groovy	(revision 3641)
@@ -23,7 +23,7 @@
 
 import java.text.SimpleDateFormat;
 import java.util.Date;
-import groovy.util.XmlParser
+import groovy.xml.XmlParser
 
 @Field @Option(name="trsFile", usage="Input TRS file", widget="FileOpen", required=true, def="")
 		File trsFile;
@@ -123,7 +123,7 @@
 
 outputTrsFile.withWriter("UTF-8") { writer ->
 	writer.write('<?xml version="1.0" encoding="UTF-8"?>\n<!DOCTYPE Trans SYSTEM "trans-14.dtd">\n')
-	new groovy.util.XmlNodePrinter(new PrintWriter(writer)).print(trs) }
+	new groovy.xml.XmlNodePrinter(new PrintWriter(writer)).print(trs) }
 
 return true;
 
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/transcription/AddSectionsFromTableMacro.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/transcription/AddSectionsFromTableMacro.groovy	(revision 3640)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/transcription/AddSectionsFromTableMacro.groovy	(revision 3641)
@@ -255,7 +255,7 @@
 		sections = sections.sort() { a, b -> a[0] <=> b[0] ?: a[1] <=> -b[1] } // negative second test for sections inclusion
 		
 		// Open input file
-		slurper = new groovy.util.XmlParser(false, true, true);
+		slurper = new groovy.xml.XmlParser(false, true, true);
 		slurper.setFeature("http://apache.org/xml/features/disallow-doctype-decl", false) // allow DTD declaration
 		slurper.setProperty("http://javax.xml.XMLConstants/property/accessExternalDTD", "all"); // allow to read DTD from local file
 		trs = slurper.parse(trsFile.toURI().toString())
@@ -501,7 +501,7 @@
 		File outfile = new File(outputDirectory, trsFile.getName())
 		outfile.withWriter("UTF-8") { writer ->
 			writer.write('<?xml version="1.0" encoding="UTF-8"?>\n<!DOCTYPE Trans SYSTEM "trans-14.dtd">\n')
-			def printer = new groovy.util.XmlNodePrinter(new PrintWriter(writer))
+			def printer = new groovy.xml.XmlNodePrinter(new PrintWriter(writer))
 			printer.setPreserveWhitespace(true)
 			printer.print(trs)
 		}
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/transcription/SegmentTRSInSectionFromMarkerMacro.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/transcription/SegmentTRSInSectionFromMarkerMacro.groovy	(revision 3640)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/transcription/SegmentTRSInSectionFromMarkerMacro.groovy	(revision 3641)
@@ -64,7 +64,7 @@
 		else cpb.tick()
 		
 		// Open input file
-		def slurper = new groovy.util.XmlParser(false, true, true);
+		def slurper = new groovy.xml.XmlParser(false, true, true);
 		slurper.setFeature("http://apache.org/xml/features/disallow-doctype-decl", false) // allow DTD declaration
 		slurper.setProperty("http://javax.xml.XMLConstants/property/accessExternalDTD", "all"); // allow to read DTD from local file
 		def trs = slurper.parse(trsFile.toURI().toString())
@@ -166,7 +166,7 @@
 		File outfile = new File(resultDirectory, trsFile.getName())
 		outfile.withWriter("UTF-8") { writer ->
 			writer.write('<?xml version="1.0" encoding="UTF-8"?>\n<!DOCTYPE Trans SYSTEM "trans-14.dtd">\n')
-			def printer = new groovy.util.XmlNodePrinter(new PrintWriter(writer))
+			def printer = new groovy.xml.XmlNodePrinter(new PrintWriter(writer))
 			printer.setPreserveWhitespace(true)
 			printer.print(trs)
 		}
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/transcription/AddEventsFromWordMarkersMacro.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/transcription/AddEventsFromWordMarkersMacro.groovy	(revision 3640)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/transcription/AddEventsFromWordMarkersMacro.groovy	(revision 3641)
@@ -55,7 +55,7 @@
 		else cpb.tick()
 		
 		// Open input file
-		def slurper = new groovy.util.XmlParser(false, true, true);
+		def slurper = new groovy.xml.XmlParser(false, true, true);
 		//slurper.setFeature("http://apache.org/xml/features/disallow-doctype-decl", false) // allow DTD declaration
 		//slurper.setProperty("http://javax.xml.XMLConstants/property/accessExternalDTD", "all"); // allow to read DTD from local file
 		def trs = slurper.parse(trsFile.toURI().toString())
@@ -93,7 +93,7 @@
 		File outfile = new File(resultDirectory, trsFile.getName())
 		outfile.withWriter("UTF-8") { writer ->
 			writer.write('<?xml version="1.0" encoding="UTF-8"?>\n')
-			def printer = new groovy.util.XmlNodePrinter(new PrintWriter(writer))
+			def printer = new groovy.xml.XmlNodePrinter(new PrintWriter(writer))
 			printer.setPreserveWhitespace(true)
 			printer.print(trs)
 		}
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/transcription/FixTransanaTimings.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/transcription/FixTransanaTimings.groovy	(revision 3640)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/transcription/FixTransanaTimings.groovy	(revision 3641)
@@ -165,7 +165,7 @@
 		
 		trsOutFile.withWriter("UTF-8") { writer ->
 			writer.write('<?xml version="1.0" encoding="UTF-8"?>\n<!DOCTYPE Trans SYSTEM "trans-14.dtd">\n')
-			new groovy.util.XmlNodePrinter(new PrintWriter(writer)).print(trs) }
+			new groovy.xml.XmlNodePrinter(new PrintWriter(writer)).print(trs) }
 		
 		return true;
 	}
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/transcription/SetTRSTurnTimingsAndSpeakers.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/transcription/SetTRSTurnTimingsAndSpeakers.groovy	(revision 3640)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/transcription/SetTRSTurnTimingsAndSpeakers.groovy	(revision 3641)
@@ -35,7 +35,7 @@
 	}
 
 	public boolean process() {
-		def slurper = new groovy.util.XmlParser();
+		def slurper = new groovy.xml.XmlParser();
 		def trs = slurper.parse(trsInFile)
 
 		// collect speakers from Turn@speaker values
@@ -165,7 +165,7 @@
 		
 		trsOutFile.withWriter("UTF-8") { writer ->
 			writer.write('<?xml version="1.0" encoding="UTF-8"?>\n<!DOCTYPE Trans SYSTEM "trans-14.dtd">\n')
-			new groovy.util.XmlNodePrinter(new PrintWriter(writer)).print(trs) }
+			new groovy.xml.XmlNodePrinter(new PrintWriter(writer)).print(trs) }
 		
 		return true;
 	}
